Skip to content
FreeTicketDocs
Esc
↑↓navigate↵open⌘Jpreview

Update an event

Minimum role: ADMIN. Active workspace via the X-Workspace-Id header.

PATCH/events/{id}
Authorization
AuthorizationAPI key · headerrequired

API key prefixed with Bearer . Alternative: the x-api-key header with the raw key. Available scopes: read and write (see /.well-known/oauth-protected-resource).

or
x-api-keyAPI key · headerrequired

Raw API key (without Bearer ), alternative to Authorization.

Path parameters
idstringrequired
Header parameters
X-Workspace-Idstring

Active workspace to operate on. Optional: when omitted, the default workspace of the user who owns the key is used (pickActiveOrg).

Request body
requiredapplication/json
namestring
min length 1
descriptionstring | null
Show properties
Any of:
string
string
null
null
venueIdstring | null
Show properties
Any of:
string
string
null
null
coverImageUrlstring<uri> | null
Show properties
Any of:
string<uri>
string<uri>
null
null
Responses
200

OK

dataEventrequired
Show properties
idstringrequired
namestringrequired
slugstringrequired
descriptionstring | nullrequired
Show properties
Any of:
string
string
null
null
statusstringrequired
Allowed:DRAFTPUBLISHEDSOLD_OUTCANCELLEDCOMPLETED
coverImageUrlstring | nullrequired
Show properties
Any of:
string
string
null
null
bannerImageUrlstring | nullrequired
Show properties
Any of:
string
string
null
null
squareImageUrlstring | nullrequired
Show properties
Any of:
string
string
null
null
storyImageUrlstring | nullrequired
Show properties
Any of:
string
string
null
null
organizationIdstringrequired
venueIdstring | nullrequired
Show properties
Any of:
string
string
null
null
venueVenue | nullrequired
Show properties
Any of:
Venue
idstringrequired
namestringrequired
slugstringrequired
addressstringrequired
citystringrequired
countrystringrequired
latitudenumber | nullrequired
Show properties
Any of:
number
number
null
null
longitudenumber | nullrequired
Show properties
Any of:
number
number
null
null
capacityinteger | nullrequired
Show properties
Any of:
integer
integer
null
null
googlePlaceIdstring | nullrequired
Show properties
Any of:
string
string
null
null
portalVisiblebooleanrequired
organizationIdstring | nullrequired
Show properties
Any of:
string
string
null
null
seatsioChartKeystring | nullrequired
Show properties
Any of:
string
string
null
null
createdAtstringrequired
null
null
externalTicketUrlstring | nullrequired
Show properties
Any of:
string
string
null
null
accessstringrequired

owner = the key's workspace owns the event (editable). artist = read-only: linked artist or catalog access.

Allowed:ownerartist
nextDateEventNextDate | null
Show properties
Any of:
EventNextDate
idstringrequired
labelstring | nullrequired
Show properties
Any of:
string
string
null
null
startsAtstringrequired
endsAtstring | nullrequired
Show properties
Any of:
string
string
null
null
timezonestringrequired
statusstringrequired
Allowed:DRAFTPUBLISHEDSOLD_OUTCANCELLEDCOMPLETED
null
null
artistsEventArtist[]
Show properties
Array of EventArtist
idstringrequired
namestringrequired
slugstring | nullrequired
Show properties
Any of:
string
string
null
null
typestringrequired
Allowed:ARTISTVENUEORGANIZER
createdAtstringrequired
updatedAtstringrequired
401

Missing or invalid credential.

errorobjectrequired
Show properties
codestringrequired
messagestringrequired
retryablebooleanrequired
detailsany
403

Insufficient role or resource not accessible.

errorobjectrequired
Show properties
codestringrequired
messagestringrequired
retryablebooleanrequired
detailsany
404

Resource does not exist or is out of scope.

errorobjectrequired
Show properties
codestringrequired
messagestringrequired
retryablebooleanrequired
detailsany
422

Request body/parameter validation failed.

errorobjectrequired
Show properties
codestringrequired
messagestringrequired
retryablebooleanrequired
detailsany
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X PATCH 'https://admin.appfreeticket.com/api/v1/events/string' \
  -H 'Authorization: YOUR_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "string",
  "description": "string",
  "venueId": "string",
  "coverImageUrl": "http://example.com"
}'
Response
{
  "data": {
    "id": "string",
    "name": "string",
    "slug": "string",
    "description": "string",
    "status": "DRAFT",
    "coverImageUrl": "string",
    "bannerImageUrl": "string",
    "squareImageUrl": "string",
    "storyImageUrl": "string",
    "organizationId": "string",
    "venueId": "string",
    "venue": {
      "id": "string",
      "name": "string",
      "slug": "string",
      "address": "string",
      "city": "string",
      "country": "string",
      "latitude": 0,
      "longitude": 0,
      "capacity": -9007199254740991,
      "googlePlaceId": "string",
      "portalVisible": true,
      "organizationId": "string",
      "seatsioChartKey": "string",
      "createdAt": "string"
    },
    "externalTicketUrl": "string",
    "access": "owner",
    "nextDate": {
      "id": "string",
      "label": "string",
      "startsAt": "string",
      "endsAt": "string",
      "timezone": "string",
      "status": "DRAFT"
    },
    "artists": [
      {
        "id": "string",
        "name": "string",
        "slug": "string",
        "type": "ARTIST"
      }
    ],
    "createdAt": "string",
    "updatedAt": "string"
  }
}